#include "guess.h"
#include<bits/stdc++.h>
using namespace std;
#define fi first
#define se second
#define pb push_back
#define ll long long
int find_number(int MAX) {
    int l=1,r=MAX,res=0;
    while(l<=r){
        int mid=l+r>>1;
        if(!smaller(mid))res=mid,l=mid+1;
        else r=mid-1;
    }
    return res;
}

